Authentication

Send magic link

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/magic-link/send

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.sendMagicLink(
  {
    email: "elena_larkin3@northwind.dev",
    projectId: "proj_i83tjAkI7nva",
    redirectUrl: "https://sick-squid.name/"
  }
);
const { data: result } = await authentication.sendMagicLink(
  {
    email: "elena_larkin3@northwind.dev",
    projectId: "proj_i83tjAkI7nva",
    redirectUrl: "https://sick-squid.name/"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ",
  "redirectUrl": "https://youthful-conservative.net/"
}
{
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ",
  "redirectUrl": "https://youthful-conservative.net/"
}

Responses

200Magic link sent
json
{
  "message": "Magic link sent successfully"
}
{
  "message": "Magic link sent successfully"
}
Edit this page on GitHub